BMAFile Class Reference

`#include <BMAFile.h>`

## Public Member Functions

| BMAFile (std::string fileName, int mode=O_RDONLY, int authority=0664)
void | setBufferSize (size_t size)
void | read ()
void | write (std::string data)

## Public Attributes

char * | buffer
size_t | size
std::string | fileName

## Detailed Description

BMAFile

File abstraction class for accessing local file system files.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMAFile.h
- /home/barant/Development/BMA/server_core/ServerCore/BMAFile.cpp